package com.rv.home.rv.module.ui.main.home.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

/**
 * Created :Auser
 * Date: 2019/5/28.
 * Desc:获取订单价格
 */

public class OrderPriceBean extends BaseBean{

    /**
     * data : {"orderAmount":90000.02,"goodsAmount":70000.02,"vehicleAmount":70000.02,"driverAmount":0,"deposit":20000}
     * rel : true
     */

    private DataBean data;
    private boolean rel;

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public static class DataBean {
        /**
         * orderAmount : 90000.02
         * goodsAmount : 70000.02
         * vehicleAmount : 70000.02
         * driverAmount : 0
         * deposit : 20000
         */

        private double orderAmount;
        private double goodsAmount;
        private double vehicleAmount;
        private int driverAmount; //司机价格
        private double driverPrice;  //司机单价
        private int deposit;      //	押金价格
        private String costDetail;
        private double damageSafePrice;//免赔付单价
        private double damageSafeAmount;//免赔付价格

        public String getCostDetail() {
            return costDetail;
        }

        public void setCostDetail(String costDetail) {
            this.costDetail = costDetail;
        }

        public double getOrderAmount() {
            return orderAmount;
        }

        public void setOrderAmount(double orderAmount) {
            this.orderAmount = orderAmount;
        }

        public double getGoodsAmount() {
            return goodsAmount;
        }

        public void setGoodsAmount(double goodsAmount) {
            this.goodsAmount = goodsAmount;
        }

        public double getVehicleAmount() {
            return vehicleAmount;
        }

        public void setVehicleAmount(double vehicleAmount) {
            this.vehicleAmount = vehicleAmount;
        }

        public int getDriverAmount() {
            return driverAmount;
        }

        public void setDriverAmount(int driverAmount) {
            this.driverAmount = driverAmount;
        }

        public int getDeposit() {
            return deposit;
        }

        public void setDeposit(int deposit) {
            this.deposit = deposit;
        }

        public double getDriverPrice() {
            return driverPrice;
        }

        public void setDriverPrice(double driverPrice) {
            this.driverPrice = driverPrice;
        }

        public double getDamageSafePrice() {
            return damageSafePrice;
        }

        public void setDamageSafePrice(double damageSafePrice) {
            this.damageSafePrice = damageSafePrice;
        }

        public double getDamageSafeAmount() {
            return damageSafeAmount;
        }

        public void setDamageSafeAmount(double damageSafeAmount) {
            this.damageSafeAmount = damageSafeAmount;
        }
    }
}
